Project

General

Profile

Bug #7134

Fix Vagrant compatibility issue: cannot build after vm:up

Added by anonym over 3 years ago. Updated about 3 years ago.

Status:
Resolved
Priority:
Elevated
Assignee:
-
Category:
Build system
Target version:
Start date:
04/28/2014
Due date:
% Done:

100%

QA Check:
Pass
Feature Branch:
bugfix/fix-vagrant-compatibility-issues
Type of work:
Code
Blueprint:
Easy:
No
Affected tool:

Description

Taken from: https://mailman.boum.org/pipermail/tails-dev/2014-April/005574.html

This branch's main purpose is to fix a compatibility issue between "old"
and "new" Vagrant reported on tails-dev@ a while ago [1] that prevents
doing something like:

rake vm:up
rake build

The 'build' task doesn't work if issued when the VM is already up,
because of VM API changes, so a "compabitility layer" is needed.
However, it works when a `build` is issued when the VM is not up.
Since the code that fails in the former case is the cpu and memory
checks, it suggests that they are not done in the latter, which is
wrong. This branch also fixes that, so the checks are always performed,
no matter the VM state.

[1] https://mailman.boum.org/pipermail/tails-dev/2014-February/005042.html

History

#1 Updated by intrigeri over 3 years ago

  • Status changed from In Progress to Fix committed
  • % Done changed from 0 to 100
  • QA Check changed from Ready for QA to Pass

#2 Updated by BitingBird about 3 years ago

  • Status changed from Fix committed to Resolved

Also available in: Atom PDF